[devscripts] 01/06: test_uscan_mangle: test signature

Osamu Aoki osamu at debian.org
Sat Sep 26 07:02:55 UTC 2015


Hi,

On Fri, Sep 25, 2015 at 09:18:31PM -0400, James McCoy wrote:
> Why require gpg2?  We typically check for gpg first and fallback for
> gpg2.

I guess I need to do:
$ git diff test_uscan_mangle 
diff --git a/test/test_uscan_mangle b/test/test_uscan_mangle
index 576d811..9afdf7f 100755
--- a/test/test_uscan_mangle
+++ b/test/test_uscan_mangle
@@ -17,10 +17,14 @@
 
 test_dir=$(readlink -f "${0%/*}")
 
-GPG=/usr/bin/gpg2
+GPG=/usr/bin/gpg
 if [ ! -x $GPG ];then
-    echo "$GPGV missing"
-    exit 1
+    echo "$GPG missing"
+    GPG=/usr/bin/gpg2
+    if [ ! -x $GPG ];then
+       echo "$GPG missing"
+       exit 1
+    fi
 fi

> 
> This test also requires an addition to Build-Depends.

Yes.  Is "gnupg| gnupg2" OK?

I am slow changing debian/control and debian/changlog until multitar branch
stabilizes.

If I add pgpmode=self code to address #778723
devscripts: Add support for non detached signatures

It causes gpg to be Suggests at least.

Should I add these dependency now while updating the code?

Osamu

PS:  For the other issue you mentioned, I just fixed them.



More information about the devscripts-devel mailing list